#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n, a, r = -1;
    cin >> n >> a;

    bool br = true;
    for(int i = 0; i < n; i++){
        int b;
        cin >> b;
        if(br && b <= a){
            r = i+1;
            br = false;
        }
    }

    cout << r;
}